version: "3.8"

services:
  frontend:
    build: .
    container_name: qqflow-frontend-test
    restart: always
    networks:
      - qqflow-network

  nginx:
    build: ./gateway
    container_name: qqflow-gateway-test
    restart: always
    ports:
      - "3000:80"
    networks:
      - qqflow-network
    depends_on:
      - frontend

networks:
  qqflow-network:
    external: true
